# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.674.3.3 -> 1.674.3.4
#	drivers/char/rocket.c	1.12    -> 1.13   
#	drivers/scsi/inia100.c	1.10    -> 1.11   
#	 drivers/sbus/sbus.c	1.15    -> 1.16   
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/10/03	torvalds@penguin.transmeta.com	1.693
# Add <linux/linkage.h> include to get FASTCALL() define.
# --------------------------------------------
# 02/10/03	willy@debian.org	1.694
# [PATCH] Remove another for_each_process loop
# 
# Convert send_sigurg() to the for_each_task_pid() mechanism.  Also in
# the case where we were trying to send a signal to a non-existent PID,
# don't bother searching for -PID in the PGID array; we won't find it.
# --------------------------------------------
# 02/10/03	torvalds@penguin.transmeta.com	1.695
# Merge http://linuxusb.bkbits.net/devfs-2.5
# into penguin.transmeta.com:/home/penguin/torvalds/repositories/kernel/linux
# --------------------------------------------
# 02/10/03	torvalds@home.transmeta.com	1.696
# Fix sigio process lookup handling
# --------------------------------------------
# 02/10/04	jejb@mulgrave.(none)	1.697
# Merge mulgrave.(none):/home/jejb/BK/scsi-sd-cache-2.5
# into mulgrave.(none):/home/jejb/BK/scsi-for-linus-2.5
# --------------------------------------------
# 02/10/04	jejb@mulgrave.(none)	1.698
# Merge mulgrave.(none):/home/jejb/BK/scsi-reject-zero-2.5
# into mulgrave.(none):/home/jejb/BK/scsi-for-linus-2.5
# --------------------------------------------
# 02/10/04	greg@kroah.com	1.674.3.4
# PCI: fixed remaining usages of pcibios_present() that I missed previously.
# --------------------------------------------
#
diff -Nru a/drivers/char/rocket.c b/drivers/char/rocket.c
--- a/drivers/char/rocket.c	Fri Oct  4 13:47:29 2002
+++ b/drivers/char/rocket.c	Fri Oct  4 13:47:29 2002
@@ -1993,7 +1993,7 @@
 			isa_boards_found++;
 	}
 #ifdef CONFIG_PCI
-	if (pcibios_present()) {
+	if (pci_present()) {
 		if(isa_boards_found < NUM_BOARDS)
 			pci_boards_found = init_PCI(isa_boards_found);
 	} else {
diff -Nru a/drivers/sbus/sbus.c b/drivers/sbus/sbus.c
--- a/drivers/sbus/sbus.c	Fri Oct  4 13:47:29 2002
+++ b/drivers/sbus/sbus.c	Fri Oct  4 13:47:29 2002
@@ -312,7 +312,7 @@
 		nd = prom_searchsiblings(topnd, "sbus");
 		if(nd == 0) {
 #ifdef CONFIG_PCI
-			if (!pcibios_present()) {	
+			if (!pci_present()) {
 				prom_printf("Neither SBUS nor PCI found.\n");
 				prom_halt();
 			} else {
diff -Nru a/drivers/scsi/inia100.c b/drivers/scsi/inia100.c
--- a/drivers/scsi/inia100.c	Fri Oct  4 13:47:29 2002
+++ b/drivers/scsi/inia100.c	Fri Oct  4 13:47:29 2002
@@ -208,7 +208,7 @@
 	/*
 	 * PCI-bus probe.
 	 */
-	if (pcibios_present()) {
+	if (pci_present()) {
 		/*
 		 * Note: I removed the struct pci_device_list stuff since this
 		 * driver only cares about one device ID.  If that changes in
